#-----------------------------------------------------------------------------------------
#	Copyright Welsh School of Architecture 2014
#
#-----------------------------------------------------------------------------------------
# Create an entry in the Extension list that loads a script called
# core.rb.
require 'sketchup.rb'
require 'extensions.rb'

Sketchup::require 'wsa_VirVil/progressbar.rb'
Sketchup.load('wsa_VirVil/htb2_functions')
Sketchup.load('wsa_VirVil/Areas_Total')
Sketchup.load('wsa_VirVil/Attribute_Buildings')
Sketchup.load('wsa_VirVil/Properties_CMD')
Sketchup.load('wsa_VirVil/running_htb2')
Sketchup.load('wsa_VirVil/get_htb2_results')
Sketchup.load('wsa_VirVil/sky_view')
Sketchup.load('wsa_VirVil/zone_building')
Sketchup.load('wsa_VirVil/reflect_view')
Sketchup.load('wsa_VirVil/htb2_files')
Sketchup.load('wsa_VirVil/colour_faces')
Sketchup.load('wsa_VirVil/VIRVIL_THE_HTB2_PLUGIN')

plugin_version = get_revision("$Revision: 15 $").to_i.to_s;

HTB2_extension = SketchupExtension.new('VirVil plugin', 'wsa_VirVil/VIRVIL_THE_HTB2_PLUGIN.rbs');
HTB2_extension.version = '1.4.'+plugin_version;
HTB2_extension.description = 'Tool to run HTB2 energy models.';
HTB2_extension.copyright = '2014, Cardiff University';
HTB2_extension.creator = 'Welsh School of Architecture';
Sketchup.register_extension(HTB2_extension, true);
